> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update expense IRIS category



## OpenAPI

````yaml openapi/findity-admin-api.json PUT /expenses/iriscategories
openapi: 3.1.0
info:
  title: Findity Admin API
  description: Findity Admin API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/admin
  - url: https://api.findity.com/api/v1/admin
security:
  - bearerAuth: []
paths:
  /expenses/iriscategories:
    put:
      tags:
        - Categories
      summary: Update expense IRIS category
      operationId: updateExpenseIrisCategories
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IrisCategories'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IrisCategories'
components:
  schemas:
    IrisCategories:
      type: object
      properties:
        expenses:
          type: array
          description: List of updated expenses with IRIS category ids
          items:
            type: object
            properties:
              id:
                type: string
                description: Expense id
              irisReceiptTypeId:
                type: string
                description: IRIS category id
      example:
        expenses:
          - id: ced42770b2c3438fb7314eeef94ecc88
            irisReceiptTypeId: ced42770b2c3438fb7314eeef94ecc89
          - id: ced42770b2c3438fb7314eeef94ecc91
            irisReceiptTypeId: ced42770b2c3438fb7314eeef94ecc90
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````